# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 2.8.0 required")
endif()
if(CMAKE_VERSION VERSION_LESS "2.8.3")
   message(FATAL_ERROR "CMake >= 2.8.3 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.8.3...3.25)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS netgen_mpi netgen_metis ngcore mesh visual csg csgvis geom2d geom2dvis occ occvis stl stlvis interface netgen gui togl nglib)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# The installation prefix configured by this project.
set(_IMPORT_PREFIX "/usr")

# Create imported target netgen_mpi
add_library(netgen_mpi INTERFACE IMPORTED)

set_target_properties(netgen_mpi PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "PARALLEL"
  INTERFACE_LINK_LIBRARIES "/usr/lib64/mpich/lib/libmpi.so"
)

# Create imported target netgen_metis
add_library(netgen_metis INTERFACE IMPORTED)

set_target_properties(netgen_metis PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "METIS;NG_MPI4PY"
  INTERFACE_INCLUDE_DIRECTORIES "/usr/include;/usr/lib64/python3.12/site-packages/mpich/mpi4py/include/mpi4py"
  INTERFACE_LINK_LIBRARIES "/usr/lib64/libmetis.so"
)

# Create imported target ngcore
add_library(ngcore SHARED IMPORTED)

set_target_properties(ngcore PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "NETGEN_PYTHON;NG_PYTHON"
  INTERFACE_INCLUDE_DIRECTORIES "/usr/include/mpich/netgen-mesher;/usr/include/mpich/netgen-mesher/include"
  INTERFACE_LINK_LIBRARIES "netgen_mpi"
)

# Create imported target mesh
add_library(mesh SHARED IMPORTED)

set_target_properties(mesh PROPERTIES
  INTERFACE_LINK_LIBRARIES "ngcore"
)

# Create imported target visual
add_library(visual SHARED IMPORTED)

set_target_properties(visual PROPERTIES
  INTERFACE_LINK_LIBRARIES "ngcore"
)

# Create imported target csg
add_library(csg SHARED IMPORTED)

set_target_properties(csg PROPERTIES
  INTERFACE_LINK_LIBRARIES "mesh;ngcore"
)

# Create imported target csgvis
add_library(csgvis SHARED IMPORTED)

set_target_properties(csgvis PROPERTIES
  INTERFACE_LINK_LIBRARIES "ngcore;csg;visual"
)

# Create imported target geom2d
add_library(geom2d SHARED IMPORTED)

set_target_properties(geom2d PROPERTIES
  INTERFACE_LINK_LIBRARIES "ngcore;mesh"
)

# Create imported target geom2dvis
add_library(geom2dvis SHARED IMPORTED)

set_target_properties(geom2dvis PROPERTIES
  INTERFACE_LINK_LIBRARIES "ngcore;geom2d"
)

# Create imported target occ
add_library(occ SHARED IMPORTED)

set_target_properties(occ PROPERTIES
  INTERFACE_LINK_LIBRARIES "ngcore"
)

# Create imported target occvis
add_library(occvis SHARED IMPORTED)

set_target_properties(occvis PROPERTIES
  INTERFACE_LINK_LIBRARIES "ngcore;occ"
)

# Create imported target stl
add_library(stl SHARED IMPORTED)

set_target_properties(stl PROPERTIES
  INTERFACE_LINK_LIBRARIES "mesh;ngcore"
)

# Create imported target stlvis
add_library(stlvis SHARED IMPORTED)

set_target_properties(stlvis PROPERTIES
  INTERFACE_LINK_LIBRARIES "ngcore;stl"
)

# Create imported target interface
add_library(interface SHARED IMPORTED)

set_target_properties(interface PROPERTIES
  INTERFACE_LINK_LIBRARIES "mesh;csg;geom2d;stl;visual"
)

# Create imported target netgen
add_executable(netgen IMPORTED)

# Create imported target gui
add_library(gui SHARED IMPORTED)

set_target_properties(gui PROPERTIES
  INTERFACE_LINK_LIBRARIES "nglib;mesh;stlvis;stl;geom2dvis;interface;geom2d;csg;stl;visual;csgvis"
)

# Create imported target togl
add_library(togl SHARED IMPORTED)

set_target_properties(togl PROPERTIES
  INTERFACE_LINK_LIBRARIES "/usr/lib64/libtclstub8.6.a;/usr/lib64/libtkstub8.6.a;/usr/lib64/libOpenGL.so;/usr/lib64/libGLX.so;/usr/lib64/libGLU.so"
)

# Create imported target nglib
add_library(nglib SHARED IMPORTED)

set_target_properties(nglib PROPERTIES
  INTERFACE_LINK_LIBRARIES "mesh;interface;geom2d;csg;stl;visual;stlvis;geom2dvis;csgvis;ngcore;occ"
)

if(CMAKE_VERSION VERSION_LESS 3.0.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.0.0 or greater.")
endif()

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/netgen-targets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
    if(NOT EXISTS "${_cmake_file}")
      message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
